Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class FullTextSearchScore

    java.lang.Object
      org.modeshape.graph.query.model.FullTextSearchScore

All Implemented Interfaces:
  Serializable, DynamicOperand, LanguageObject, Visitable

Direct Known Subclasses:
  JcrFullTextSearchScore

    @Immutable
    public class FullTextSearchScore

extends Object
implements DynamicOperand

A dynamic operand that evaluates to the full-text search score of a node given by a selector, used in a `Comparison` constraint and `Ordering`s.

See Also:
  Serialized Form

Constructor Summary
`FullTextSearchScore(SelectorName selectorName)` Create a dynamic operand that evaluates to the full-text search score of the node identified by the selector.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
`Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FullTextSearchScore

    public FullTextSearchScore(SelectorName selectorName)

  Create a dynamic operand that evaluates to the full-text search score of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector

Method Detail

### selectorName

    public SelectorName selectorName()

  Get the selector symbol upon which this operand applies.

  Returns:
    the one selector names used by this operand; never null

### selectorNames

    public Set<SelectorName> selectorNames()

  Get the selector symbols to which this operand applies.

  Specified by:
    `selectorNames` in interface `DynamicOperand`
  Returns:
    the immutable ordered set of non-null selector names used by this operand; never null and never empty
  See Also:
    `DynamicOperand.selectorNames()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.